{
    Файл является частью библиотеки RubiRobotLib

    © 2018-2021 Слинкин Д.А.

    Модуль экспорта хранимых в ресурах шрифтов

    Подробная информация о лицензировании находится в файле README,
    входящем в состав библиотеки.

    ДАННОЕ ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ ПРЕДОСТАВЛЯЕТСЯ «КАК ЕСТЬ», БЕЗ
    КАКИХ-ЛИБО ГАРАНТИЙ, ЯВНО ВЫРАЖЕННЫХ ИЛИ ПОДРАЗУМЕВАЕМЫХ,
    ВКЛЮЧАЯ ГАРАНТИИ ТОВАРНОЙ ПРИГОДНОСТИ, СООТВЕТСТВИЯ ПО ЕГО
    КОНКРЕТНОМУ НАЗНАЧЕНИЮ И ОТСУТСТВИЯ НАРУШЕНИЙ, НО НЕ ОГРАНИЧИВАЯСЬ 
    ИМИ. НИ В КАКОМ СЛУЧАЕ АВТОРЫ ИЛИ ПРАВООБЛАДАТЕЛИ НЕ НЕСУТ
    ОТВЕТСТВЕННОСТИ ПО КАКИМ-ЛИБО ИСКАМ, ЗА УЩЕРБ ИЛИ ПО ИНЫМ ТРЕБОВАНИЯМ,
    В ТОМ ЧИСЛЕ, ПРИ ДЕЙСТВИИ КОНТРАКТА, ДЕЛИКТЕ ИЛИ ИНОЙ СИТУАЦИИ,
    ВОЗНИКШИМ ИЗ-ЗА ИСПОЛЬЗОВАНИЯ ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ ИЛИ ИНЫХ
    ДЕЙСТВИЙ С ПРОГРАММНЫМ ОБЕСПЕЧЕНИЕМ.

 **********************************************************************}


{$I uev3defines.inc}
unit fontstore;
interface
uses pseudolresources,sysutils;

{
 Получает ресурс и сохраняет его во временном каталоге как шрифт
 под указанным именем (name) и расширением (lowercase(valueType))
 с перезаписью (overwrite=true) или нет (overwrite=false)
 Возвращает полное имя файла шрифта.
}

function storeResFont(name:AnsiString; valueType:AnsiString='TTF'; overwrite:boolean=true):AnsiString;
function storeResFont(LR:TPseudoLResource; overwrite:boolean=true):AnsiString;

implementation

function storeResFont(name:AnsiString; valueType:AnsiString='TTF'; overwrite:boolean=true):AnsiString;
 begin
   result:=storeResFont(LRS.Find(name,valueType),overwrite);
 end;

function storeResFont(LR:TPseudoLResource; overwrite:boolean=true):AnsiString;
 var f:text;
 begin
   result:=getTempDir+LR.name+'.'+lowercase(LR.valueType);
   if (not overwrite)and(fileExists(result)) then exit;
   assignFile(f,result);
   rewrite(f);
   write(f,LR.Value);
   closefile(f);
 end;
end.